Initial checkin of a testsuite
[mmh] / test / runtest
diff --git a/test/runtest b/test/runtest
new file mode 100755 (executable)
index 0000000..d970b18
--- /dev/null
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+export MH=`cat test-temp-dir`/mh_profile
+export MH_TEST_DIR=`cat test-temp-dir`
+export PATH=$MH_TEST_DIR/bin:$PATH
+
+/bin/sh $1
+
+return_value=$?
+
+if [ $return_value -eq 0 ] ; then
+    echo Test $1 PASS
+else
+    echo Test $1 FAIL
+fi